/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// 该脚本由模板创建
/// created by cb 2024

using XGame.Framework.UI;

namespace FL.FGUI
{
    public static partial class UIKeys
    {
        private static UIKey _CommonConfirmationBox;
        public static UIKey CommonConfirmationBox => _CommonConfirmationBox ?? (_CommonConfirmationBox = new UIKey("Common", "ConfirmationBox", typeof(CommonConfirmationBoxView)));
    }
    public partial class CommonConfirmationBoxView : UIView
    {
        public static UILayer Layer => UILayer.Popup;
        protected override void AddController(IUIControllerGroup group)
        {
            group.Add(new CommonConfirmationBoxCtrl());
        }

        protected override IUIViewModel CreateViewModel()
        {
            return new CommonConfirmationBoxVM();
        }

        protected override void OnDispose()
        {
        }
    }
}

